# Copyright 2016 Red Hat, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301 USA
#
# Refer to the README and COPYING files for full details of the license
#
from __future__ import absolute_import

from . import expose

from vdsm.tool.restore_nets import restore
from vdsm.network.api import (setSafeNetworkConfig, setupNetworks,
                              change_numvfs, network_caps, ovs_bridge,
                              get_lldp_info)
from vdsm.network.tc import setPortMirroring, unsetPortMirroring


@expose
def restoreNetworks(*args, **kwrags):
    return restore(*args, **kwrags)


expose(setSafeNetworkConfig)
expose(setupNetworks)
expose(network_caps)
expose(change_numvfs)
expose(ovs_bridge)
expose(setPortMirroring)
expose(unsetPortMirroring)
expose(get_lldp_info)
